﻿@model eCommerce.UI.ViewModels.ShoppingCartViewModel
@*<div class="checkout-summary__cart">
    <div class="cart-summary__header js-toggle-cart">
        <span>Ver resumen</span>
        <i class="icon icon-toggle" aria-hidden="true"></i>
    </div>

    <div class="cart-summary__header cart-summary__header--mobile">
        <span>Resumen del pedido</span>
        <span class="cart-summary__summary-toggle js-toggle-summary" aria-hidden="true">&times;</span>
    </div>

    <div class="cart-summary__body js-toggable">
        <ul class="cart-summary__products">
            @foreach (var od in Model.OrderDetails)
            {
                @Html.Partial("Checkout/Summary/SummaryProductItem", od)
            }           

        </ul>
    </div>
</div>*@

@{ var showPreview = Model.OrderDetails.Count < 3; }
<div class="checkout-summary__cart">
    <div class="cart-summary__header js-toggle-cart">
        <span>Ver resumen</span>
        <i class="icon icon-toggle @(showPreview ? "icon--toggle" : string.Empty)" aria-hidden="true"></i>
    </div>

    <div class="cart-summary__header cart-summary__header--mobile">
        <span>Resumen del pedido</span>
        <span class="cart-summary__summary-toggle js-toggle-summary" aria-hidden="true">&times;</span>
    </div>

    <div class="cart-summary__body js-toggable @(showPreview ? "cart-summary__body--shown" : string.Empty)">
        <ul class="cart-summary__products">
            @foreach (var od in Model.OrderDetails)
            {
                @Html.Partial("Checkout/Summary/SummaryProductItem", od)
            }


            @*@Html.Partial("Checkout/Summary/SummaryProductItem")*@
        </ul>
    </div>
</div>

@*<div class="checkout-summary__code">
    @Html.Partial("Checkout/Summary/PromotionalCode")
</div>*@

<div class="checkout-summary__pricing">
    <ul>
        <li class="order-pricing__item js-subtotal">
            <span class="pricing-item__title">Subtotal</span>
            <span class="pricing-item__total">@Model.TotalOrderDetails.ToString("c2")</span>
        </li>
        <li class="order-pricing__item js-discount" style="display: @(Model.Discount > 0 ? "flex" : "none")">
            <span class="pricing-item__title">Descuento</span>
            <span class="pricing-item__total">@((Model.TotalOrderDetails * Model.Discount / 100).ToString("c2"))</span>
        </li>
        @if (Model.ApplyIva)
        {
            <li class="order-pricing__item js-iva" data-amount="@Model.IvaAmount">
                <span class="pricing-item__title">IVA</span>
                <span class="pricing-item__total">@Model.IvaAmount.ToString("c2")</span>
            </li>
        }
        <li class="order-pricing__item js-shipping-cost" style="display:none">
            <span class="pricing-item__title">Costo de envío</span>
            <span class="pricing-item__total">@Model.ShippingCost.ToString("c2")</span>
        </li>
        <li class="order-pricing__item js-surcharge hide">
            <span class="pricing-item__title">Recargo cuotas</span>
            <span class="pricing-item__total">@(0.ToString("c0"))</span>
        </li>
        <li class="order-pricing__item order-pricing__item--outstand js-total">
            <span class="pricing-item__title">Total</span>
            <span class="pricing-item__total">@((Model.TotalOrderDetails - (Model.TotalOrderDetails * Model.Discount / 100) + Model.IvaAmount).ToString("c2"))</span>
        </li>
    </ul>
</div>

<input type="hidden" name="ShippingCost" id="ShippingCost"/>
<input type="hidden" name="Discount" id="Discount" value="@Model.Discount" />
<button type="submit" class="button checkout-summary__button js-end-order">Finalizar Pedido</button>
